---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dbt_cloud_environment_variable Resource - terraform-provider-dbt-cloud"
subcategory: ""
description: |-
  
---

# dbt_cloud_environment_variable (Resource)

*Note*: Some upstream resources can be slow to create, so if creating a project or environment at
the same time as the environment variables, it's recommended to use the `depends_on` meta argument.



<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `environment_values` (Map of String) Map from environment names to respective variable value, a special key `project` should be set for the project default variable value
- `name` (String) Name for the variable, must be unique within a project, must be prefixed with 'DBT_'
- `project_id` (Number) Project for the variable to be created in

### Read-Only

- `id` (String) The ID of this resource.


### Import

Import using a project ID and environment variable name found in the URL and UI or via the API.
```commandline
terraform import dbt_cloud_environment_variable.test_environment_variable "project_id:environment_variable_name"
terraform import dbt_cloud_environment_variable.test_environment_variable 12345:DBT_ENV_VAR
```
