---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dbt_cloud_job Resource - terraform-provider-dbt-cloud"
subcategory: ""
description: |-
  
---

# dbt_cloud_job (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `environment_id` (Number) Environment ID to create the job in
- `execute_steps` (List of String) List of commands to execute for the job
- `name` (String) Job name
- `project_id` (Number) Project ID to create the job in
- `triggers` (Map of Boolean) Flags for which types of triggers to use, keys of github_webhook, git_provider_webhook, schedule, custom_branch_only

### Optional

- `dbt_version` (String) Version number of DBT to use in this job
- `deferring_job_id` (Number) Job identifier that this job defers to
- `generate_docs` (Boolean) Flag for whether the job should generate documentation
- `is_active` (Boolean) Flag for whether the job is marked active or deleted
- `num_threads` (Number) Number of threads to use in the job
- `run_generate_sources` (Boolean) Flag for whether the job should run generate sources
- `schedule_cron` (String) Custom cron expression for schedule
- `schedule_days` (List of Number) List of days of week as numbers (0 = Sunday, 7 = Saturday) to execute the job at if running on a schedule
- `schedule_hours` (List of Number) List of hours to execute the job at if running on a schedule
- `schedule_interval` (Number) Number of hours between job executions if running on a schedule
- `schedule_type` (String) Type of schedule to use, one of every_day/ days_of_week/ custom_cron
- `target_name` (String) Target name for the DBT profile

### Read-Only

- `id` (String) The ID of this resource.


### Import

Import using a job ID found in the URL or via the API.
```commandline
terraform import dbt_cloud_job.test_job "job_id"
terraform import dbt_cloud_job.test_job 12345
```
