---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dbt_cloud_repository Resource - terraform-provider-dbt-cloud"
subcategory: ""
description: |-
  
---

# dbt_cloud_repository (Resource)

*Note*: Some upstream resources can be slow to create, so if creating a project at
the same time as the repository, it's recommended to use the `depends_on` meta argument.



<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `project_id` (Number) Project ID to create the repository in
- `remote_url` (String) Git URL for the repository or <Group>/<Project> for Gitlab

### Optional

- `git_clone_strategy` (String) Git clone strategy for the repository
- `gitlab_project_id` (Number) Identifier for the Gitlab project
- `is_active` (Boolean) Whether the repository is active
- `repository_credentials_id` (Number) Credentials ID for the repository (From the repository side not the DBT Cloud ID)

### Read-Only

- `id` (String) The ID of this resource.
- `repository_id` (Number) Repository Identifier


### Import

Import using a project ID and repository ID found in the URL or via the API.
```commandline
terraform import dbt_cloud_repository.test_repository "project_id:repository_id"
terraform import dbt_cloud_repository.test_repository 12345:6789
```
